<?php
/*
  $Id: header.php,v 1.42 2003/06/10 18:20:38 hpdl Exp $

  E-Commerce Solutions

  Copyright (c) 2005 www.flash-template-design.com

  Released under the GNU General Public License
*/

// check if the 'install' directory exists, and warn of its existence
  if (WARN_INSTALL_EXISTENCE == 'true') {
    if (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/install')) {
      $messageStack->add('header', WARNING_INSTALL_DIRECTORY_EXISTS, 'warning');
    }
  }

// check if the configure.php file is writeable
  if (WARN_CONFIG_WRITEABLE == 'true') {
    if ( (file_exists(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) && (is_writeable(dirname($HTTP_SERVER_VARS['SCRIPT_FILENAME']) . '/includes/configure.php')) ) {
      $messageStack->add('header', WARNING_CONFIG_FILE_WRITEABLE, 'warning');
    }
  }

// check if the session folder is writeable
  if (WARN_SESSION_DIRECTORY_NOT_WRITEABLE == 'true') {
    if (STORE_SESSIONS == '') {
      if (!is_dir(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NON_EXISTENT, 'warning');
      } elseif (!is_writeable(tep_session_save_path())) {
        $messageStack->add('header', WARNING_SESSION_DIRECTORY_NOT_WRITEABLE, 'warning');
      }
    }
  }

// check session.auto_start is disabled
  if ( (function_exists('ini_get')) && (WARN_SESSION_AUTO_START == 'true') ) {
    if (ini_get('session.auto_start') == '1') {
      $messageStack->add('header', WARNING_SESSION_AUTO_START, 'warning');
    }
  }

  if ( (WARN_DOWNLOAD_DIRECTORY_NOT_READABLE == 'true') && (DOWNLOAD_ENABLED == 'true') ) {
    if (!is_dir(DIR_FS_DOWNLOAD)) {
      $messageStack->add('header', WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT, 'warning');
    }
  }

  if ($messageStack->size('header') > 0) {
    echo $messageStack->output('header');
  }
?>
<center>
 <table border="0" cellpadding="0" cellspacing="0" width="730">
 	<tr>
		<td width="730" colspan="2" >
			<table border="0" cellpadding="0" cellspacing="0" width="100%" >
				<tr>
					<td height="73" width="100%" valign="top"  align="center" bgcolor="#D4D0C5" style="border:1px solid #6D603E; border-width:0px 1px; " >
						<table border="0" cellpadding="0" cellspacing="0" width="720" height="70" style="border:1px solid #A9A18B; border-top-width:0px; background:url(images/logo_bg.gif) repeat-x">
							<tr>
								<td valign="top" rowspan="2" align="left"><img src="images/logo.gif" width="218" height="70" alt=""></td>
								<td width="492" height="34" align="right" style="padding-right:10px; "><?php  include(DIR_WS_BOXES . 'shopping_cart.php'); ?></td>
							</tr>
							<tr>
								<td height="36">
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
										<tr>
											<td><a class="menu" style="width:102px; background-image:url(images/home_bg.gif)" href="<?php echo tep_href_link(FILENAME_DEFAULT) ?>">Home</a></td>
											<td><a class="menu" href="<?php echo tep_href_link(FILENAME_PRODUCTS_NEW) ?>">New products</a></td>
											<td><a class="menu" href="<?php echo tep_href_link(FILENAME_ACCOUNT, '', 'SSL') ?>">My account</a></td>
											<td><a class="menu" href="<?php echo tep_href_link(FILENAME_SHOPPING_CART) ?>">Shopping cart</a></td>
											<td><a class="menu" style="width:102px; background-image:url(images/checkout_bg.gif)" href="<?php echo tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') ?>">Checkout</a></td>
										</tr>
								</table>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="51" bgcolor="#333333" >
						<table border="0" cellpadding="0" cellspacing="0" width="100%" height="100%">
							<tr>
								<td width="242" style=" border-right:1px solid #000000;"><?php require(DIR_WS_BOXES . 'search.php'); ?></td>
								<td width="191" style=" border-right:1px solid #000000; border-left:1px solid #707070;">
								<?php if ((USE_CACHE == 'true') && empty($SID)) {
    echo tep_cache_manufacturers_box();
  } else {
    include(DIR_WS_BOXES . 'manufacturers.php'); }?>
								</td>
								<td width="128" style="border-left:1px solid #707070;" ><?php  if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
    include(DIR_WS_BOXES . 'languages.php');
	} ?></td>
	<td width="165" align="left">
	<?php if (substr(basename($PHP_SELF), 0, 8) != 'checkout') {
     include(DIR_WS_BOXES . 'currencies.php');
  }?></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="134" width="100%" valign="top" align="left" style="background:url(images/main.jpg) no-repeat; background-color:#FFFFFF;padding-bottom:2px;">
						<table border="0" cellpadding="0" cellspacing="0" width="" height="">
							<tr>
								<td>
								 <ul>
								  	<li><a href="<?php echo tep_href_link(FILENAME_ABOUT_US) ?>" class="atopmenu">Company</a></li>
									<li><a href="<?php echo tep_href_link(FILENAME_CONTACT_US) ?>" class="atopmenu">Contacts</a></li>
									<li><a href="<?php echo tep_href_link(FILENAME_SPECIALS) ?>" class="atopmenu">Specials</a></li>
									<li><a href="<?php echo tep_href_link(FILENAME_ADVANCED_SEARCH) ?>" class="atopmenu">Advanced Search</a></li>
									<li><a href="<?php echo tep_href_link(FILENAME_CREATE_ACCOUNT) ?>" class="atopmenu">Create an account</a></li>
									<li><a href="<?php echo tep_href_link(FILENAME_LOGIN) ?>" class="atopmenu">Customer login</a></li>
	
								  </ul>
								</td>
							</tr>
						</table>
						
					</td>
				</tr>
			</table>
		</td>
	
 	
 
<?php
  if (isset($HTTP_GET_VARS['error_message']) && tep_not_null($HTTP_GET_VARS['error_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerError">
    <td class="headerError"><?php echo htmlspecialchars(urldecode($HTTP_GET_VARS['error_message'])); ?></td>
  </tr>
</table>
<?php
  }

  if (isset($HTTP_GET_VARS['info_message']) && tep_not_null($HTTP_GET_VARS['info_message'])) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr class="headerInfo">
    <td class="headerInfo"><?php echo htmlspecialchars($HTTP_GET_VARS['info_message']); ?></td>
  </tr>
</table>
<?php
  }
?>

</tr>
<tr>
	<td width="730" align="center" colspan="2" style="padding-bottom:2px; " bgcolor="#FFFFFF">
		<table border="0" width="100%" cellpadding="0" cellspacing="0" >
		
